Subject: bug#39082: Inconsolata v3.000 has too wide spacing

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Jan 2020 17:37:58 +0200

> From: Andrea Greselin <[email-masked]>
> Date: Sat, 11 Jan 2020 11:03:39 +0100
> 
> Hello, after upgrading to Inconsolata v3.000 letter-spacing for that typeface
> has become too wide, as shown in the attached screenshot. It shows the Emacs
> frame I get on running `emacs -Q`.
> 
> Note that the font works correctly in other applications such as Gedit and
> LibreOffice.
> 
> For reference, here are the reports I've made at Red Hat's Bugzilla and
> Inconsolata's GitHub page for the same bug:
>  - https://bugzilla.redhat.com/show_bug.cgi?id=1786054
>  - https://github.com/googlefonts/Inconsolata/issues/42
> 
> According to reports at Inconsolata's GitHub page this happens in Emacs versions
> 26.2, 26.3 and 27.0.50.

As indicated in
https://github.com/googlefonts/Inconsolata/issues/42#issuecomment-573409054,
the information returned by font-info for this font on Fedora is:

  ["-CYRE-Inconsolata-normal-normal-normal-*-19-*-*-*-m-0-iso10646-1" "Inconsolata:pixelsize=19:foundry=CYRE:weight=normal:slant=normal:width=normal:spacing=100:scalable=true" 19 21 0 0 0 29 17 4 29 29 "/usr/share/fonts/levien-inconsolata/Inconsolata-Regular.ttf" (opentype ((DFLT ...) (latn ... ... ... ... ... ... ... ... ...)) (DFLT (nil mark mkmk)) (latn (nil mark mkmk) (AZE\ mark mkmk) (CAT\ mark mkmk) (CRT\ mark mkmk) (KAZ\ mark mkmk) (MOL\ mark mkmk) (ROM\ mark mkmk) (TAT\ mark mkmk) (TRK\ mark mkmk)))]

and I think the "scalable=true" part is the problem.  AFAIK, it isn't
supposed to be there, since the average width is reported as non-zero
for this font.  But that's just a wild guess.  I guess it comes from
Fontconfig.

Sadly, I have no idea how to go about investigating this problem
further, maybe someone else does?

FWIW, this problem doesn't happen on MS-Windows with the same font.